<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>InputListDialog xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../../../../../apidocs/org/eclipse/papyrus/designer/languages/java/reverse/ui/dialog/InputListDialog.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_javadoccomment"> * All rights reserved. This program and the accompanying materials</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <em class="jxr_javadoccomment"> * are made available under the terms of the Eclipse Public License v1.0</em>
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <em class="jxr_javadoccomment"> * which accompanies this distribution, and is available at</em>
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   <em class="jxr_javadoccomment"> * <a href="http://www.eclipse.org/legal/epl-v10.htm" target="alexandria_uri">http://www.eclipse.org/legal/epl-v10.htm</a>l</em>
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <strong class="jxr_keyword">package</strong> org.eclipse.papyrus.designer.languages.java.reverse.ui.dialog;
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  <strong class="jxr_keyword">import</strong> java.util.List;
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  <strong class="jxr_keyword">import</strong> org.eclipse.jface.resource.JFaceResources;
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  <strong class="jxr_keyword">import</strong> org.eclipse.swt.SWT;
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  <strong class="jxr_keyword">import</strong> org.eclipse.swt.events.SelectionAdapter;
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  <strong class="jxr_keyword">import</strong> org.eclipse.swt.events.SelectionEvent;
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  <strong class="jxr_keyword">import</strong> org.eclipse.swt.graphics.Point;
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  <strong class="jxr_keyword">import</strong> org.eclipse.swt.layout.GridData;
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  <strong class="jxr_keyword">import</strong> org.eclipse.swt.layout.GridLayout;
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  <strong class="jxr_keyword">import</strong> org.eclipse.swt.widgets.Button;
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  <strong class="jxr_keyword">import</strong> org.eclipse.swt.widgets.Composite;
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  <strong class="jxr_keyword">import</strong> org.eclipse.swt.widgets.Control;
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  <strong class="jxr_keyword">import</strong> org.eclipse.swt.widgets.Label;
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  <strong class="jxr_keyword">import</strong> org.eclipse.swt.widgets.Text;
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  <em class="jxr_javadoccomment"> * @author dumoulin</em>
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dialog/InputListDialog.html">InputListDialog</a> {
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  	<em class="jxr_javadoccomment">/** Message to be show */</em>
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  	<strong class="jxr_keyword">private</strong> String message;
<a class="jxr_linenumber" name="L33" href="#L33">33</a>  
<a class="jxr_linenumber" name="L34" href="#L34">34</a>  	<em class="jxr_javadoccomment">/** Message to be show */</em>
<a class="jxr_linenumber" name="L35" href="#L35">35</a>  	<strong class="jxr_keyword">private</strong> String tooltips;
<a class="jxr_linenumber" name="L36" href="#L36">36</a>  
<a class="jxr_linenumber" name="L37" href="#L37">37</a>  	<em class="jxr_javadoccomment">/** List of fields to show */</em>
<a class="jxr_linenumber" name="L38" href="#L38">38</a>  	<strong class="jxr_keyword">private</strong> List&lt;String&gt; fieldList;
<a class="jxr_linenumber" name="L39" href="#L39">39</a>  
<a class="jxr_linenumber" name="L40" href="#L40">40</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L41" href="#L41">41</a>  <em class="jxr_javadoccomment">	 * Input text widget.</em>
<a class="jxr_linenumber" name="L42" href="#L42">42</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L43" href="#L43">43</a>  	<strong class="jxr_keyword">private</strong> Text addToListText;
<a class="jxr_linenumber" name="L44" href="#L44">44</a>  
<a class="jxr_linenumber" name="L45" href="#L45">45</a>  	<strong class="jxr_keyword">private</strong> org.eclipse.swt.widgets.List listWidget;
<a class="jxr_linenumber" name="L46" href="#L46">46</a>  
<a class="jxr_linenumber" name="L47" href="#L47">47</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L48" href="#L48">48</a>  <em class="jxr_javadoccomment">	 * Constructor.</em>
<a class="jxr_linenumber" name="L49" href="#L49">49</a>  <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L50" href="#L50">50</a>  <em class="jxr_javadoccomment">	 * @param msg</em>
<a class="jxr_linenumber" name="L51" href="#L51">51</a>  <em class="jxr_javadoccomment">	 * @param list</em>
<a class="jxr_linenumber" name="L52" href="#L52">52</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L53" href="#L53">53</a>  	<strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/ui/dialog/InputListDialog.html">InputListDialog</a>(String msg, List&lt;String&gt; list) {
<a class="jxr_linenumber" name="L54" href="#L54">54</a>  		<strong class="jxr_keyword">this</strong>.message = msg;
<a class="jxr_linenumber" name="L55" href="#L55">55</a>  		<strong class="jxr_keyword">this</strong>.fieldList = list;
<a class="jxr_linenumber" name="L56" href="#L56">56</a>  	}
<a class="jxr_linenumber" name="L57" href="#L57">57</a>  
<a class="jxr_linenumber" name="L58" href="#L58">58</a>  
<a class="jxr_linenumber" name="L59" href="#L59">59</a>  
<a class="jxr_linenumber" name="L60" href="#L60">60</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L61" href="#L61">61</a>  <em class="jxr_javadoccomment">	 * @param tooltips</em>
<a class="jxr_linenumber" name="L62" href="#L62">62</a>  <em class="jxr_javadoccomment">	 *            the tooltips to set</em>
<a class="jxr_linenumber" name="L63" href="#L63">63</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L64" href="#L64">64</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> setTooltips(String tooltips) {
<a class="jxr_linenumber" name="L65" href="#L65">65</a>  		<strong class="jxr_keyword">this</strong>.tooltips = tooltips;
<a class="jxr_linenumber" name="L66" href="#L66">66</a>  	}
<a class="jxr_linenumber" name="L67" href="#L67">67</a>  
<a class="jxr_linenumber" name="L68" href="#L68">68</a>  
<a class="jxr_linenumber" name="L69" href="#L69">69</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L70" href="#L70">70</a>  <em class="jxr_javadoccomment">	 * Return the selected list.</em>
<a class="jxr_linenumber" name="L71" href="#L71">71</a>  <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L72" href="#L72">72</a>  <em class="jxr_javadoccomment">	 * @return</em>
<a class="jxr_linenumber" name="L73" href="#L73">73</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L74" href="#L74">74</a>  	<strong class="jxr_keyword">public</strong> String[] getList() {
<a class="jxr_linenumber" name="L75" href="#L75">75</a>  		<strong class="jxr_keyword">return</strong> listWidget.getItems();
<a class="jxr_linenumber" name="L76" href="#L76">76</a>  	}
<a class="jxr_linenumber" name="L77" href="#L77">77</a>  
<a class="jxr_linenumber" name="L78" href="#L78">78</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L79" href="#L79">79</a>  <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L80" href="#L80">80</a>  <em class="jxr_javadoccomment">	 * @param parent</em>
<a class="jxr_linenumber" name="L81" href="#L81">81</a>  <em class="jxr_javadoccomment">	 * @return</em>
<a class="jxr_linenumber" name="L82" href="#L82">82</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L83" href="#L83">83</a>  	<strong class="jxr_keyword">public</strong> Control createDialogArea(Composite parent) {
<a class="jxr_linenumber" name="L84" href="#L84">84</a>  		<em class="jxr_comment">// create composite</em>
<a class="jxr_linenumber" name="L85" href="#L85">85</a>  		Composite composite = parent;
<a class="jxr_linenumber" name="L86" href="#L86">86</a>  		<em class="jxr_comment">// create message</em>
<a class="jxr_linenumber" name="L87" href="#L87">87</a>  		<strong class="jxr_keyword">if</strong> (message != <strong class="jxr_keyword">null</strong>) {
<a class="jxr_linenumber" name="L88" href="#L88">88</a>  			Label label = <strong class="jxr_keyword">new</strong> Label(composite, SWT.WRAP);
<a class="jxr_linenumber" name="L89" href="#L89">89</a>  			label.setText(message);
<a class="jxr_linenumber" name="L90" href="#L90">90</a>  			GridData data = <strong class="jxr_keyword">new</strong> GridData(GridData.GRAB_HORIZONTAL
<a class="jxr_linenumber" name="L91" href="#L91">91</a>  					<em class="jxr_comment">/* | GridData.GRAB_VERTICAL */</em>| GridData.HORIZONTAL_ALIGN_FILL
<a class="jxr_linenumber" name="L92" href="#L92">92</a>  					| GridData.VERTICAL_ALIGN_CENTER);
<a class="jxr_linenumber" name="L93" href="#L93">93</a>  			<em class="jxr_comment">// data.widthHint = convertHorizontalDLUsToPixels(IDialogConstants.MINIMUM_MESSAGE_AREA_WIDTH);</em>
<a class="jxr_linenumber" name="L94" href="#L94">94</a>  			label.setLayoutData(data);
<a class="jxr_linenumber" name="L95" href="#L95">95</a>  			label.setFont(parent.getFont());
<a class="jxr_linenumber" name="L96" href="#L96">96</a>  			setToolTip(label, tooltips);
<a class="jxr_linenumber" name="L97" href="#L97">97</a>  			;
<a class="jxr_linenumber" name="L98" href="#L98">98</a>  		}
<a class="jxr_linenumber" name="L99" href="#L99">99</a>  
<a class="jxr_linenumber" name="L100" href="#L100">100</a> 		<em class="jxr_comment">// button</em>
<a class="jxr_linenumber" name="L101" href="#L101">101</a> 		createButtonBar(composite);
<a class="jxr_linenumber" name="L102" href="#L102">102</a> 
<a class="jxr_linenumber" name="L103" href="#L103">103</a> 		<em class="jxr_comment">// list</em>
<a class="jxr_linenumber" name="L104" href="#L104">104</a> 		listWidget = <strong class="jxr_keyword">new</strong> org.eclipse.swt.widgets.List(composite, SWT.BORDER | SWT.V_SCROLL | SWT.H_SCROLL | SWT.RESIZE);
<a class="jxr_linenumber" name="L105" href="#L105">105</a> 
<a class="jxr_linenumber" name="L106" href="#L106">106</a> 		GridData listData = <strong class="jxr_keyword">new</strong> GridData(GridData.GRAB_HORIZONTAL | GridData.HORIZONTAL_ALIGN_FILL | GridData.GRAB_VERTICAL | GridData.VERTICAL_ALIGN_FILL);
<a class="jxr_linenumber" name="L107" href="#L107">107</a> 
<a class="jxr_linenumber" name="L108" href="#L108">108</a> 		listData.heightHint = 100;
<a class="jxr_linenumber" name="L109" href="#L109">109</a> 		listWidget.setLayoutData(listData);
<a class="jxr_linenumber" name="L110" href="#L110">110</a> 		setToolTip(listWidget, tooltips);
<a class="jxr_linenumber" name="L111" href="#L111">111</a> 		<strong class="jxr_keyword">if</strong> (fieldList != <strong class="jxr_keyword">null</strong>) {
<a class="jxr_linenumber" name="L112" href="#L112">112</a> 			<strong class="jxr_keyword">for</strong> (String item : fieldList) {
<a class="jxr_linenumber" name="L113" href="#L113">113</a> 				listWidget.add(item);
<a class="jxr_linenumber" name="L114" href="#L114">114</a> 			}
<a class="jxr_linenumber" name="L115" href="#L115">115</a> 		}
<a class="jxr_linenumber" name="L116" href="#L116">116</a> 
<a class="jxr_linenumber" name="L117" href="#L117">117</a> 		<em class="jxr_comment">// applyDialogFont(composite);</em>
<a class="jxr_linenumber" name="L118" href="#L118">118</a> 		<strong class="jxr_keyword">return</strong> composite;
<a class="jxr_linenumber" name="L119" href="#L119">119</a> 	}
<a class="jxr_linenumber" name="L120" href="#L120">120</a> 
<a class="jxr_linenumber" name="L121" href="#L121">121</a> 
<a class="jxr_linenumber" name="L122" href="#L122">122</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L123" href="#L123">123</a> <em class="jxr_javadoccomment">	 * Set the tooltips if not null.</em>
<a class="jxr_linenumber" name="L124" href="#L124">124</a> <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L125" href="#L125">125</a> <em class="jxr_javadoccomment">	 * @param parent</em>
<a class="jxr_linenumber" name="L126" href="#L126">126</a> <em class="jxr_javadoccomment">	 * @param tooltips</em>
<a class="jxr_linenumber" name="L127" href="#L127">127</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L128" href="#L128">128</a> 	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">void</strong> setToolTip(Control parent, String tooltips) {
<a class="jxr_linenumber" name="L129" href="#L129">129</a> 		<strong class="jxr_keyword">if</strong> (tooltips != <strong class="jxr_keyword">null</strong>) {
<a class="jxr_linenumber" name="L130" href="#L130">130</a> 			parent.setToolTipText(tooltips);
<a class="jxr_linenumber" name="L131" href="#L131">131</a> 		}
<a class="jxr_linenumber" name="L132" href="#L132">132</a> 	}
<a class="jxr_linenumber" name="L133" href="#L133">133</a> 
<a class="jxr_linenumber" name="L134" href="#L134">134</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L135" href="#L135">135</a> <em class="jxr_javadoccomment">	 * Returns the style bits that should be used for the input text field.</em>
<a class="jxr_linenumber" name="L136" href="#L136">136</a> <em class="jxr_javadoccomment">	 * Defaults to a single line entry. Subclasses may override.</em>
<a class="jxr_linenumber" name="L137" href="#L137">137</a> <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L138" href="#L138">138</a> <em class="jxr_javadoccomment">	 * @return the integer style bits that should be used when creating the</em>
<a class="jxr_linenumber" name="L139" href="#L139">139</a> <em class="jxr_javadoccomment">	 *         input text</em>
<a class="jxr_linenumber" name="L140" href="#L140">140</a> <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L141" href="#L141">141</a> <em class="jxr_javadoccomment">	 * @since 3.4</em>
<a class="jxr_linenumber" name="L142" href="#L142">142</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L143" href="#L143">143</a> 	<strong class="jxr_keyword">protected</strong> <strong class="jxr_keyword">int</strong> getInputTextStyle() {
<a class="jxr_linenumber" name="L144" href="#L144">144</a> 		<strong class="jxr_keyword">return</strong> SWT.SINGLE | SWT.BORDER;
<a class="jxr_linenumber" name="L145" href="#L145">145</a> 	}
<a class="jxr_linenumber" name="L146" href="#L146">146</a> 
<a class="jxr_linenumber" name="L147" href="#L147">147</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L148" href="#L148">148</a> <em class="jxr_javadoccomment">	 * Creates and returns the contents of this dialog's button bar.</em>
<a class="jxr_linenumber" name="L149" href="#L149">149</a> <em class="jxr_javadoccomment">	 * &lt;p&gt;</em>
<a class="jxr_linenumber" name="L150" href="#L150">150</a> <em class="jxr_javadoccomment">	 * The &lt;code&gt;Dialog&lt;/code&gt; implementation of this framework method lays out a button bar and calls the &lt;code&gt;createButtonsForButtonBar&lt;/code&gt; framework method to populate it. Subclasses may override.</em>
<a class="jxr_linenumber" name="L151" href="#L151">151</a> <em class="jxr_javadoccomment">	 * &lt;/p&gt;</em>
<a class="jxr_linenumber" name="L152" href="#L152">152</a> <em class="jxr_javadoccomment">	 * &lt;p&gt;</em>
<a class="jxr_linenumber" name="L153" href="#L153">153</a> <em class="jxr_javadoccomment">	 * The returned control's layout data must be an instance of &lt;code&gt;GridData&lt;/code&gt;.</em>
<a class="jxr_linenumber" name="L154" href="#L154">154</a> <em class="jxr_javadoccomment">	 * &lt;/p&gt;</em>
<a class="jxr_linenumber" name="L155" href="#L155">155</a> <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L156" href="#L156">156</a> <em class="jxr_javadoccomment">	 * @param parent</em>
<a class="jxr_linenumber" name="L157" href="#L157">157</a> <em class="jxr_javadoccomment">	 *            the parent composite to contain the button bar</em>
<a class="jxr_linenumber" name="L158" href="#L158">158</a> <em class="jxr_javadoccomment">	 * @return the button bar control</em>
<a class="jxr_linenumber" name="L159" href="#L159">159</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L160" href="#L160">160</a> 	<strong class="jxr_keyword">protected</strong> Control createButtonBar(Composite parent) {
<a class="jxr_linenumber" name="L161" href="#L161">161</a> 		Composite composite = <strong class="jxr_keyword">new</strong> Composite(parent, SWT.NONE);
<a class="jxr_linenumber" name="L162" href="#L162">162</a> 		<em class="jxr_comment">// create a layout with spacing and margins appropriate for the font</em>
<a class="jxr_linenumber" name="L163" href="#L163">163</a> 		<em class="jxr_comment">// size.</em>
<a class="jxr_linenumber" name="L164" href="#L164">164</a> 		GridLayout layout = <strong class="jxr_keyword">new</strong> GridLayout();
<a class="jxr_linenumber" name="L165" href="#L165">165</a> 		layout.numColumns = 0; <em class="jxr_comment">// this is incremented by createButton</em>
<a class="jxr_linenumber" name="L166" href="#L166">166</a> 		layout.makeColumnsEqualWidth = false;
<a class="jxr_linenumber" name="L167" href="#L167">167</a> 		<em class="jxr_comment">// layout.marginWidth = convertHorizontalDLUsToPixels(IDialogConstants.HORIZONTAL_MARGIN);</em>
<a class="jxr_linenumber" name="L168" href="#L168">168</a> 		<em class="jxr_comment">// layout.marginHeight = convertVerticalDLUsToPixels(IDialogConstants.VERTICAL_MARGIN);</em>
<a class="jxr_linenumber" name="L169" href="#L169">169</a> 		<em class="jxr_comment">// layout.horizontalSpacing = convertHorizontalDLUsToPixels(IDialogConstants.HORIZONTAL_SPACING);</em>
<a class="jxr_linenumber" name="L170" href="#L170">170</a> 		<em class="jxr_comment">// layout.verticalSpacing = convertVerticalDLUsToPixels(IDialogConstants.VERTICAL_SPACING);</em>
<a class="jxr_linenumber" name="L171" href="#L171">171</a> 		composite.setLayout(layout);
<a class="jxr_linenumber" name="L172" href="#L172">172</a> 		GridData data = <strong class="jxr_keyword">new</strong> GridData(GridData.HORIZONTAL_ALIGN_FILL | GridData.GRAB_HORIZONTAL
<a class="jxr_linenumber" name="L173" href="#L173">173</a> 				| GridData.VERTICAL_ALIGN_CENTER);
<a class="jxr_linenumber" name="L174" href="#L174">174</a> 		composite.setLayoutData(data);
<a class="jxr_linenumber" name="L175" href="#L175">175</a> 		composite.setFont(parent.getFont());
<a class="jxr_linenumber" name="L176" href="#L176">176</a> 
<a class="jxr_linenumber" name="L177" href="#L177">177</a> 		<em class="jxr_comment">// Add the buttons to the button bar.</em>
<a class="jxr_linenumber" name="L178" href="#L178">178</a> 		createButtonsForButtonBar(composite);
<a class="jxr_linenumber" name="L179" href="#L179">179</a> 		<strong class="jxr_keyword">return</strong> composite;
<a class="jxr_linenumber" name="L180" href="#L180">180</a> 	}
<a class="jxr_linenumber" name="L181" href="#L181">181</a> 
<a class="jxr_linenumber" name="L182" href="#L182">182</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L183" href="#L183">183</a> <em class="jxr_javadoccomment">	 * Adds buttons to this dialog's button bar.</em>
<a class="jxr_linenumber" name="L184" href="#L184">184</a> <em class="jxr_javadoccomment">	 * &lt;p&gt;</em>
<a class="jxr_linenumber" name="L185" href="#L185">185</a> <em class="jxr_javadoccomment">	 * The &lt;code&gt;Dialog&lt;/code&gt; implementation of this framework method adds standard ok and cancel buttons using the &lt;code&gt;createButton&lt;/code&gt; framework method. These standard buttons will be accessible from &lt;code&gt;getCancelButton&lt;/code&gt;, and</em>
<a class="jxr_linenumber" name="L186" href="#L186">186</a> <em class="jxr_javadoccomment">	 * &lt;code&gt;getOKButton&lt;/code&gt;. Subclasses may override.</em>
<a class="jxr_linenumber" name="L187" href="#L187">187</a> <em class="jxr_javadoccomment">	 * &lt;/p&gt;</em>
<a class="jxr_linenumber" name="L188" href="#L188">188</a> <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L189" href="#L189">189</a> <em class="jxr_javadoccomment">	 * @param parent</em>
<a class="jxr_linenumber" name="L190" href="#L190">190</a> <em class="jxr_javadoccomment">	 *            the button bar composite</em>
<a class="jxr_linenumber" name="L191" href="#L191">191</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L192" href="#L192">192</a> 	<strong class="jxr_keyword">protected</strong> <strong class="jxr_keyword">void</strong> createButtonsForButtonBar(Composite parent) {
<a class="jxr_linenumber" name="L193" href="#L193">193</a> 		<em class="jxr_comment">// create OK and Cancel buttons by default</em>
<a class="jxr_linenumber" name="L194" href="#L194">194</a> 		<em class="jxr_comment">// Create input text</em>
<a class="jxr_linenumber" name="L195" href="#L195">195</a> 		<em class="jxr_comment">// input text</em>
<a class="jxr_linenumber" name="L196" href="#L196">196</a> 		((GridLayout) parent.getLayout()).numColumns++;
<a class="jxr_linenumber" name="L197" href="#L197">197</a> 		addToListText = <strong class="jxr_keyword">new</strong> Text(parent, getInputTextStyle());
<a class="jxr_linenumber" name="L198" href="#L198">198</a> 		setButtonLayoutData(addToListText);
<a class="jxr_linenumber" name="L199" href="#L199">199</a> 		addToListText.setLayoutData(<strong class="jxr_keyword">new</strong> GridData(GridData.HORIZONTAL_ALIGN_BEGINNING
<a class="jxr_linenumber" name="L200" href="#L200">200</a> 				| GridData.HORIZONTAL_ALIGN_FILL | GridData.GRAB_HORIZONTAL));
<a class="jxr_linenumber" name="L201" href="#L201">201</a> 
<a class="jxr_linenumber" name="L202" href="#L202">202</a> 		<em class="jxr_comment">// Create a Button</em>
<a class="jxr_linenumber" name="L203" href="#L203">203</a> 		((GridLayout) parent.getLayout()).numColumns++;
<a class="jxr_linenumber" name="L204" href="#L204">204</a> 		Button button = <strong class="jxr_keyword">new</strong> Button(parent, SWT.PUSH);
<a class="jxr_linenumber" name="L205" href="#L205">205</a> 		button.setText(<span class="jxr_string">"add"</span>);
<a class="jxr_linenumber" name="L206" href="#L206">206</a> 		button.setFont(JFaceResources.getDialogFont());
<a class="jxr_linenumber" name="L207" href="#L207">207</a> 		button.addSelectionListener(<strong class="jxr_keyword">new</strong> SelectionAdapter() {
<a class="jxr_linenumber" name="L208" href="#L208">208</a> 
<a class="jxr_linenumber" name="L209" href="#L209">209</a> 			@Override
<a class="jxr_linenumber" name="L210" href="#L210">210</a> 			<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> widgetSelected(SelectionEvent event) {
<a class="jxr_linenumber" name="L211" href="#L211">211</a> 				addPressed();
<a class="jxr_linenumber" name="L212" href="#L212">212</a> 			}
<a class="jxr_linenumber" name="L213" href="#L213">213</a> 		});
<a class="jxr_linenumber" name="L214" href="#L214">214</a> 		setButtonLayoutData(button);
<a class="jxr_linenumber" name="L215" href="#L215">215</a> 
<a class="jxr_linenumber" name="L216" href="#L216">216</a> 		<em class="jxr_comment">// remove</em>
<a class="jxr_linenumber" name="L217" href="#L217">217</a> 		((GridLayout) parent.getLayout()).numColumns++;
<a class="jxr_linenumber" name="L218" href="#L218">218</a> 		button = <strong class="jxr_keyword">new</strong> Button(parent, SWT.PUSH);
<a class="jxr_linenumber" name="L219" href="#L219">219</a> 		button.setText(<span class="jxr_string">"-"</span>);
<a class="jxr_linenumber" name="L220" href="#L220">220</a> 		button.setFont(JFaceResources.getDialogFont());
<a class="jxr_linenumber" name="L221" href="#L221">221</a> 		button.addSelectionListener(<strong class="jxr_keyword">new</strong> SelectionAdapter() {
<a class="jxr_linenumber" name="L222" href="#L222">222</a> 
<a class="jxr_linenumber" name="L223" href="#L223">223</a> 			@Override
<a class="jxr_linenumber" name="L224" href="#L224">224</a> 			<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> widgetSelected(SelectionEvent event) {
<a class="jxr_linenumber" name="L225" href="#L225">225</a> 				removedPressed();
<a class="jxr_linenumber" name="L226" href="#L226">226</a> 			}
<a class="jxr_linenumber" name="L227" href="#L227">227</a> 		});
<a class="jxr_linenumber" name="L228" href="#L228">228</a> 		setButtonLayoutData(button);
<a class="jxr_linenumber" name="L229" href="#L229">229</a> 
<a class="jxr_linenumber" name="L230" href="#L230">230</a> 		<em class="jxr_comment">// up</em>
<a class="jxr_linenumber" name="L231" href="#L231">231</a> 		((GridLayout) parent.getLayout()).numColumns++;
<a class="jxr_linenumber" name="L232" href="#L232">232</a> 		button = <strong class="jxr_keyword">new</strong> Button(parent, SWT.PUSH);
<a class="jxr_linenumber" name="L233" href="#L233">233</a> 		button.setText(<span class="jxr_string">"^"</span>);
<a class="jxr_linenumber" name="L234" href="#L234">234</a> 		button.setFont(JFaceResources.getDialogFont());
<a class="jxr_linenumber" name="L235" href="#L235">235</a> 		button.addSelectionListener(<strong class="jxr_keyword">new</strong> SelectionAdapter() {
<a class="jxr_linenumber" name="L236" href="#L236">236</a> 
<a class="jxr_linenumber" name="L237" href="#L237">237</a> 			@Override
<a class="jxr_linenumber" name="L238" href="#L238">238</a> 			<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> widgetSelected(SelectionEvent event) {
<a class="jxr_linenumber" name="L239" href="#L239">239</a> 				upPressed();
<a class="jxr_linenumber" name="L240" href="#L240">240</a> 			}
<a class="jxr_linenumber" name="L241" href="#L241">241</a> 		});
<a class="jxr_linenumber" name="L242" href="#L242">242</a> 		setButtonLayoutData(button);
<a class="jxr_linenumber" name="L243" href="#L243">243</a> 
<a class="jxr_linenumber" name="L244" href="#L244">244</a> 		<em class="jxr_comment">// down</em>
<a class="jxr_linenumber" name="L245" href="#L245">245</a> 		((GridLayout) parent.getLayout()).numColumns++;
<a class="jxr_linenumber" name="L246" href="#L246">246</a> 		button = <strong class="jxr_keyword">new</strong> Button(parent, SWT.PUSH);
<a class="jxr_linenumber" name="L247" href="#L247">247</a> 		button.setText(<span class="jxr_string">"v"</span>);
<a class="jxr_linenumber" name="L248" href="#L248">248</a> 		button.setFont(JFaceResources.getDialogFont());
<a class="jxr_linenumber" name="L249" href="#L249">249</a> 		button.addSelectionListener(<strong class="jxr_keyword">new</strong> SelectionAdapter() {
<a class="jxr_linenumber" name="L250" href="#L250">250</a> 
<a class="jxr_linenumber" name="L251" href="#L251">251</a> 			@Override
<a class="jxr_linenumber" name="L252" href="#L252">252</a> 			<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> widgetSelected(SelectionEvent event) {
<a class="jxr_linenumber" name="L253" href="#L253">253</a> 				downPressed();
<a class="jxr_linenumber" name="L254" href="#L254">254</a> 			}
<a class="jxr_linenumber" name="L255" href="#L255">255</a> 		});
<a class="jxr_linenumber" name="L256" href="#L256">256</a> 		setButtonLayoutData(button);
<a class="jxr_linenumber" name="L257" href="#L257">257</a> 
<a class="jxr_linenumber" name="L258" href="#L258">258</a> 
<a class="jxr_linenumber" name="L259" href="#L259">259</a> 	}
<a class="jxr_linenumber" name="L260" href="#L260">260</a> 
<a class="jxr_linenumber" name="L261" href="#L261">261</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L262" href="#L262">262</a> <em class="jxr_javadoccomment">	 * Called when add button is pressed.</em>
<a class="jxr_linenumber" name="L263" href="#L263">263</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L264" href="#L264">264</a> 	<strong class="jxr_keyword">protected</strong> <strong class="jxr_keyword">void</strong> addPressed() {
<a class="jxr_linenumber" name="L265" href="#L265">265</a> 		System.out.println(<span class="jxr_string">"add pressed "</span> + addToListText.getText());
<a class="jxr_linenumber" name="L266" href="#L266">266</a> 		String msg = addToListText.getText();
<a class="jxr_linenumber" name="L267" href="#L267">267</a> 		<strong class="jxr_keyword">if</strong> (msg.length() == 0) {
<a class="jxr_linenumber" name="L268" href="#L268">268</a> 			<strong class="jxr_keyword">return</strong>;
<a class="jxr_linenumber" name="L269" href="#L269">269</a> 		}
<a class="jxr_linenumber" name="L270" href="#L270">270</a> 
<a class="jxr_linenumber" name="L271" href="#L271">271</a> 		msg.trim();
<a class="jxr_linenumber" name="L272" href="#L272">272</a> 		listWidget.add(msg);
<a class="jxr_linenumber" name="L273" href="#L273">273</a> 		<em class="jxr_comment">// listWidget.pack(true);</em>
<a class="jxr_linenumber" name="L274" href="#L274">274</a> 	}
<a class="jxr_linenumber" name="L275" href="#L275">275</a> 
<a class="jxr_linenumber" name="L276" href="#L276">276</a> 	<strong class="jxr_keyword">protected</strong> <strong class="jxr_keyword">void</strong> upPressed() {
<a class="jxr_linenumber" name="L277" href="#L277">277</a> 		System.out.println(<span class="jxr_string">"up pressed"</span>);
<a class="jxr_linenumber" name="L278" href="#L278">278</a> 		<strong class="jxr_keyword">int</strong> selectionIndex = listWidget.getSelectionIndex();
<a class="jxr_linenumber" name="L279" href="#L279">279</a> 
<a class="jxr_linenumber" name="L280" href="#L280">280</a> 		<strong class="jxr_keyword">if</strong> (selectionIndex &gt; 0) {
<a class="jxr_linenumber" name="L281" href="#L281">281</a> 			swapItems(selectionIndex - 1, selectionIndex);
<a class="jxr_linenumber" name="L282" href="#L282">282</a> 			listWidget.setSelection(selectionIndex - 1);
<a class="jxr_linenumber" name="L283" href="#L283">283</a> 		}
<a class="jxr_linenumber" name="L284" href="#L284">284</a> 	}
<a class="jxr_linenumber" name="L285" href="#L285">285</a> 
<a class="jxr_linenumber" name="L286" href="#L286">286</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L287" href="#L287">287</a> <em class="jxr_javadoccomment">	 * Swap items in the list</em>
<a class="jxr_linenumber" name="L288" href="#L288">288</a> <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L289" href="#L289">289</a> <em class="jxr_javadoccomment">	 * @param down</em>
<a class="jxr_linenumber" name="L290" href="#L290">290</a> <em class="jxr_javadoccomment">	 * @param up</em>
<a class="jxr_linenumber" name="L291" href="#L291">291</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L292" href="#L292">292</a> 	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">void</strong> swapItems(<strong class="jxr_keyword">int</strong> down, <strong class="jxr_keyword">int</strong> up) {
<a class="jxr_linenumber" name="L293" href="#L293">293</a> 		String tmp = listWidget.getItem(down);
<a class="jxr_linenumber" name="L294" href="#L294">294</a> 		listWidget.setItem(down, listWidget.getItem(up));
<a class="jxr_linenumber" name="L295" href="#L295">295</a> 		listWidget.setItem(up, tmp);
<a class="jxr_linenumber" name="L296" href="#L296">296</a> 	}
<a class="jxr_linenumber" name="L297" href="#L297">297</a> 
<a class="jxr_linenumber" name="L298" href="#L298">298</a> 	<strong class="jxr_keyword">protected</strong> <strong class="jxr_keyword">void</strong> downPressed() {
<a class="jxr_linenumber" name="L299" href="#L299">299</a> 		System.out.println(<span class="jxr_string">"down pressed"</span>);
<a class="jxr_linenumber" name="L300" href="#L300">300</a> 		<strong class="jxr_keyword">int</strong> selectionIndex = listWidget.getSelectionIndex();
<a class="jxr_linenumber" name="L301" href="#L301">301</a> 
<a class="jxr_linenumber" name="L302" href="#L302">302</a> 		<strong class="jxr_keyword">if</strong> (selectionIndex &lt; listWidget.getItemCount() - 1) {
<a class="jxr_linenumber" name="L303" href="#L303">303</a> 			swapItems(selectionIndex, selectionIndex + 1);
<a class="jxr_linenumber" name="L304" href="#L304">304</a> 			listWidget.setSelection(selectionIndex + 1);
<a class="jxr_linenumber" name="L305" href="#L305">305</a> 		}
<a class="jxr_linenumber" name="L306" href="#L306">306</a> 	}
<a class="jxr_linenumber" name="L307" href="#L307">307</a> 
<a class="jxr_linenumber" name="L308" href="#L308">308</a> 
<a class="jxr_linenumber" name="L309" href="#L309">309</a> 	<strong class="jxr_keyword">protected</strong> <strong class="jxr_keyword">void</strong> removedPressed() {
<a class="jxr_linenumber" name="L310" href="#L310">310</a> 		System.out.println(<span class="jxr_string">"removed pressed"</span>);
<a class="jxr_linenumber" name="L311" href="#L311">311</a> 		<strong class="jxr_keyword">int</strong> selectionIndex = listWidget.getSelectionIndex();
<a class="jxr_linenumber" name="L312" href="#L312">312</a> 
<a class="jxr_linenumber" name="L313" href="#L313">313</a> 		String old = listWidget.getItem(selectionIndex);
<a class="jxr_linenumber" name="L314" href="#L314">314</a> 		listWidget.remove(selectionIndex);
<a class="jxr_linenumber" name="L315" href="#L315">315</a> 		addToListText.setText(old);
<a class="jxr_linenumber" name="L316" href="#L316">316</a> 	}
<a class="jxr_linenumber" name="L317" href="#L317">317</a> 
<a class="jxr_linenumber" name="L318" href="#L318">318</a> 
<a class="jxr_linenumber" name="L319" href="#L319">319</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L320" href="#L320">320</a> <em class="jxr_javadoccomment">	 * Set the layout data of the button to a GridData with appropriate heights</em>
<a class="jxr_linenumber" name="L321" href="#L321">321</a> <em class="jxr_javadoccomment">	 * and widths.</em>
<a class="jxr_linenumber" name="L322" href="#L322">322</a> <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L323" href="#L323">323</a> <em class="jxr_javadoccomment">	 * @param button</em>
<a class="jxr_linenumber" name="L324" href="#L324">324</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L325" href="#L325">325</a> 	<strong class="jxr_keyword">protected</strong> <strong class="jxr_keyword">void</strong> setButtonLayoutData(Control button) {
<a class="jxr_linenumber" name="L326" href="#L326">326</a> 		GridData data = <strong class="jxr_keyword">new</strong> GridData(GridData.HORIZONTAL_ALIGN_FILL);
<a class="jxr_linenumber" name="L327" href="#L327">327</a> 		<em class="jxr_comment">// int widthHint = convertHorizontalDLUsToPixels(IDialogConstants.BUTTON_WIDTH);</em>
<a class="jxr_linenumber" name="L328" href="#L328">328</a> 		Point minSize = button.computeSize(SWT.DEFAULT, SWT.DEFAULT, <strong class="jxr_keyword">true</strong>);
<a class="jxr_linenumber" name="L329" href="#L329">329</a> 		<em class="jxr_comment">// data.widthHint = Math.max(widthHint, minSize.x);</em>
<a class="jxr_linenumber" name="L330" href="#L330">330</a> 		data.widthHint = minSize.x;
<a class="jxr_linenumber" name="L331" href="#L331">331</a> 		button.setLayoutData(data);
<a class="jxr_linenumber" name="L332" href="#L332">332</a> 	}
<a class="jxr_linenumber" name="L333" href="#L333">333</a> 
<a class="jxr_linenumber" name="L334" href="#L334">334</a> 
<a class="jxr_linenumber" name="L335" href="#L335">335</a> 
<a class="jxr_linenumber" name="L336" href="#L336">336</a> }
</pre>
<hr/>
<div id="footer">Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</div>
</body>
</html>
